Managed Database Tables - Get

取得受控資料庫數據表

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}?api-version=2023-08-01

URI 參數

名稱 位於 必要 類型 Description
databaseName
path True

string

資料庫的名稱。

managedInstanceName
path True

string

受控實例的名稱。

resourceGroupName
path True

string

包含資源的資源群組名稱。 您可以從 Azure Resource Manager API 或入口網站取得此值。

schemaName
path True

string

架構的名稱。

subscriptionId
path True

string

識別 Azure 訂用帳戶的訂用帳戶標識碼。

tableName
path True

string

數據表的名稱。

api-version
query True

string

要用於要求的 API 版本。

回應

名稱 類型 Description
200 OK

DatabaseTable

已成功擷取受控資料庫數據表。

Other Status Codes

ErrorResponse

錯誤回應: ***

  • 400 UpdateNotAllowedOnPausedDatabase - 使用者嘗試在暫停的資料庫上執行更新。

  • 404 SubscriptionDoesNotHaveServer - 找不到要求的伺服器

  • 404 DatabaseDoesNotExist - 使用者已指定此伺服器實例上不存在的資料庫名稱。

  • 404 SourceDatabaseNotFound - 源資料庫不存在。

  • 404 ResourceDoesNotExist - 名稱為 '{0}' 的資源不存在。 若要繼續,請指定有效的資源名稱。

  • 404 InvalidDatabaseSchema - 資料庫中遺漏架構。

  • 404 InvalidDatabaseTable - 資料庫中遺漏數據表。

  • 404 InvalidDatabaseColumn - 數據表中遺漏數據行。

  • 503 DatabaseUnavailable - 作業失敗,因為資料庫無法使用。

範例

Get managed database table

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/myManagedInstanceName/databases/myDatabase/schemas/dbo/tables/table1?api-version=2023-08-01

範例回覆

{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/myManagedInstanceName/databases/myDatabase/schemas/dbo/tables/table1",
  "name": "table1",
  "type": "Microsoft.Sql/managedInstances/databases/schemas/tables"
}

定義

名稱 Description
DatabaseTable

資料庫數據表資源。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

TableTemporalType

數據表時態型別。

DatabaseTable

資料庫數據表資源。

名稱 類型 Description
id

string

資源標識碼。

name

string

資源名稱。

properties.memoryOptimized

boolean

數據表是否為記憶體優化。

properties.temporalType

TableTemporalType

數據表時態型別。

type

string

資源類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳細數據。

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

TableTemporalType

數據表時態型別。

Description
NonTemporalTable
HistoryTable
SystemVersionedTemporalTable